This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 136182 - ThinkPad UltraBay hotswap of CD/DVD drive not supported
ThinkPad UltraBay hotswap of CD/DVD drive not supported
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-18 12:20 EDT by Florian Effenberger
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:05:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Florian Effenberger 2004-10-18 12:20:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.7.3)
Gecko/20040913 Firefox/0.10.1

Description of problem:
The hotswap of the CD/DVD drive in my ThinkPad T42p's UltraBay slot
seems to be not supported. I don't know if the vanilla kernel does
support it, but on removing the drive, the system completely freezes
and I have the following log entry several times:

Oct 17 18:17:10 localhost kernel: hdc: status error: status=0x00 { }
Oct 17 18:17:10 localhost kernel: hdc: status error: error=0x00
Oct 17 18:17:10 localhost kernel: hdc: status error: status=0x00 { }
Oct 17 18:17:10 localhost kernel: hdc: status error: error=0x00
Oct 17 18:17:10 localhost kernel: hdc: status error: status=0x00 { }
Oct 17 18:17:10 localhost kernel: hdc: status error: error=0x00
Oct 17 18:17:10 localhost kernel: hdc: status error: status=0x00 { }
Oct 17 18:17:10 localhost kernel: hdc: status error: error=0x00
Oct 17 18:17:10 localhost kernel: hdc: DMA disabled
Oct 17 18:17:10 localhost kernel: hdc: ATAPI reset complete

Version-Release number of selected component (if applicable):
kernel-2.6.8-1.610

How reproducible:
Always

Steps to Reproduce:
1. Remove drive.

Actual Results:  Device should disappear, system should run.

Expected Results:  System freezes.

Additional info:

# dmesg | grep hdc
    ide1: BM-DMA at 0x1868-0x186f, BIOS settings: hdc:DMA, hdd:pio
hdc: MATSHITADVD-RAM UJ-812, ATAPI CD/DVD-ROM drive
hdc: ATAPI 24X DVD-ROM DVD-R-RAM CD-R/RW drive, 2048kB Cache, UDMA(33)
Comment 1 Dave Jones 2005-07-15 15:20:27 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Florian Effenberger 2005-07-15 20:22:34 EDT
Have not installed Fedora at the moment, will reply to this bug as soon as I
have time to test it out again.
Comment 3 Dave Jones 2006-01-16 17:04:55 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 4 Dave Jones 2006-02-03 01:22:32 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 John Thacker 2006-05-04 09:05:28 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.